<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CacheAreaEval (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CacheAreaEval (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CacheAreaEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/CacheAreaEval.html" target="_top">Frames</a>
        </li>
        <li><a href="CacheAreaEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class CacheAreaEval" class="title">Class CacheAreaEval</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                       title="class in org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval.AreaEvalBase</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.formula.CacheAreaEval</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                           title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/SheetRange.html"
                            title="interface in org.apache.poi.ss.formula">SheetRange</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">CacheAreaEval</span>
extends <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
           title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Robert Hulbert
                        Provides holding structure for temporary values in arrays during the evaluation process.
                        As such, Row/Column references do not actually correspond to data in the file.
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#CacheAreaEval-org.apache.poi.ss.formula.ptg.AreaI-org.apache.poi.ss.formula.eval.ValueEval:A-">CacheAreaEval</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;values)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#CacheAreaEval-int-int-int-int-org.apache.poi.ss.formula.eval.ValueEval:A-">CacheAreaEval</a></span>(int&nbsp;firstRow,
                                    int&nbsp;firstColumn,
                                    int&nbsp;lastRow,
                                    int&nbsp;lastColumn,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;values)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                        title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#getColumn-int-">getColumn</a></span>(int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#getRelativeValue-int-int-">getRelativeValue</a></span>(int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#getRelativeValue-int-int-int-">getRelativeValue</a></span>(int&nbsp;sheetIndex,
                                    int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                        title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#getRow-int-">getRow</a></span>(int&nbsp;rowIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#offset-int-int-int-int-">offset</a></span>(int&nbsp;relFirstRowIx,
                                    int&nbsp;relLastRowIx,
                                    int&nbsp;relFirstColIx,
                                    int&nbsp;relLastColIx)</code>
                                    <div class="block">Creates an <a
                                            href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a>
                                        offset by a relative amount from from the upper left cell
                                        of this area
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.eval.AreaEvalBase">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.eval.<a
                                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                        title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#contains-int-int-">contains</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#containsColumn-int-">containsColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#containsRow-int-">containsRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getAbsoluteValue-int-int-">getAbsoluteValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstColumn--">getFirstColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstRow--">getFirstRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstSheetIndex--">getFirstSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getHeight--">getHeight</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastColumn--">getLastColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastRow--">getLastRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastSheetIndex--">getLastSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getValue-int-int-">getValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getValue-int-int-int-">getValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getWidth--">getWidth</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isColumn--">isColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isRow--">isRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isSubTotal-int-int-">isSubTotal</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CacheAreaEval-org.apache.poi.ss.formula.ptg.AreaI-org.apache.poi.ss.formula.eval.ValueEval:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CacheAreaEval</h4>
                                <pre>public&nbsp;CacheAreaEval(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg,
                     <a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;values)</pre>
                            </li>
                        </ul>
                        <a name="CacheAreaEval-int-int-int-int-org.apache.poi.ss.formula.eval.ValueEval:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CacheAreaEval</h4>
                                <pre>public&nbsp;CacheAreaEval(int&nbsp;firstRow,
                     int&nbsp;firstColumn,
                     int&nbsp;lastRow,
                     int&nbsp;lastColumn,
                     <a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;values)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRelativeValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeValue</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRelativeValue(int&nbsp;relativeRowIndex,
                                  int&nbsp;relativeColumnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getRelativeValue-int-int-">getRelativeValue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getRelativeValue-int-int-">getRelativeValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                                title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ValueEval from within this area at the specified relativeRowIndex and
                                        relativeColumnIndex. Never <code>null</code> (possibly <a
                                                href="../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                                title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a>).
                                        The
                                        specified indexes should relative to the top left corner of this area.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelativeValue-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeValue</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRelativeValue(int&nbsp;sheetIndex,
                                  int&nbsp;relativeRowIndex,
                                  int&nbsp;relativeColumnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getRelativeValue-int-int-int-">getRelativeValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                                title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="offset-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>offset</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                    title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>&nbsp;offset(int&nbsp;relFirstRowIx,
                       int&nbsp;relLastRowIx,
                       int&nbsp;relFirstColIx,
                       int&nbsp;relLastColIx)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#offset-int-int-int-int-">AreaEval</a></code></span>
                                </div>
                                <div class="block">Creates an <a
                                        href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a>
                                    offset by a relative amount from from the upper left cell
                                    of this area
                                </div>
                            </li>
                        </ul>
                        <a name="getRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                    title="interface in org.apache.poi.ss.formula">TwoDEval</a>&nbsp;getRow(int&nbsp;rowIndex)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowIndex</code> - relative row index (zero based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a single row <a href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                        title="interface in org.apache.poi.ss.formula"><code>TwoDEval</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumn</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                    title="interface in org.apache.poi.ss.formula">TwoDEval</a>&nbsp;getColumn(int&nbsp;columnIndex)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - relative column index (zero based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a single column <a href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                           title="interface in org.apache.poi.ss.formula"><code>TwoDEval</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CacheAreaEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/CacheAreaEval.html" target="_top">Frames</a>
        </li>
        <li><a href="CacheAreaEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
